---
layout: wiki
title: UserDoc
permalink: /wiki/UserDoc/
---

Qubes User Guides
=================

-   [Getting started](/wiki/GettingStarted)
-   [Creating and using HVM domains (in Qubes 2)](/wiki/HvmCreate)
-   [Copy and paste between domains](/wiki/CopyPaste)
-   [Copying files between domains](/wiki/CopyingFiles)
-   [Updating and adding new software to domains](/wiki/SoftwareUpdateVM)
-   [Updating software in Dom0](/wiki/SoftwareUpdateDom0)
-   [Dom0 and VM updates via Qubes Manager?](/wiki/ManagerUpdates)
-   [Backup/Restore/Migration](/wiki/BackupRestore)
-   Using Disposable VMs
-   [Using Qubes firewall](/wiki/QubesFirewall)
-   [How to mount USB stick to an AppVM?](/wiki/StickMounting)
-   [How to assign full PCI/e device to a VM?](/wiki/AssigningDevices)

Advanced topics:

-   Creating custom NetVMs
-   Creating custom ProxyVMs
-   [How to copy files to Dom0?](/wiki/CopyToDomZero)
-   [​Extend root.img size](https://groups.google.com/group/qubes-devel/msg/9d1ac581236ca9b4)
-   Installing [Anti Evil Maid](/wiki/AntiEvilMaid)
-   [Tor proxy VM](/wiki/UserDoc/TorVM) documentation
-   [XFCE](/wiki/UserDoc/XFCE) installation in dom0
-   [DispVM Customization](/wiki/UserDoc/DispVMCustomization)

Command-line tools reference:

-   [Dom0 tools](/wiki/DomZeroTools)
-   [VM tools](/wiki/VmTools)

Optional topics:

-   [How to install Nvidia driver in dom0](/wiki/InstallNvidiaDriver)
-   [Getting Sony Vaio Z laptop to work with Qubes](/wiki/SonyVaioTinkering)
-   [​How to get composition working on ATI GPUs](https://groups.google.com/group/qubes-devel/browse_thread/thread/5a0dfc38fd1cc16a)
-   [​How to make proxy for individual tcp connection from networkless VM](https://groups.google.com/group/qubes-devel/msg/4ca950ab6d7cd11a)
-   [​How to run TorBrowser using external tor proxy (from TorVM)](https://groups.google.com/group/qubes-devel/msg/34f67194d3422bfa)
-   [​Creating NetBSD VM](https://groups.google.com/group/qubes-devel/msg/4015c8900a813985)
-   [​Booting with GRUB2 and GPT](https://groups.google.com/group/qubes-devel/browse_thread/thread/e4ac093cabd37d2b/d5090c20d92c4128#d5090c20d92c4128)

